aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_key_expiration.sh
diff options
context:
space:
mode:
authorNick Mathewson <nickm@torproject.org>2017-09-15 09:04:22 -0400
committerNick Mathewson <nickm@torproject.org>2017-09-15 09:04:22 -0400
commit2c9f8badbdb75d09cac6f84da5101e6007bd4fa5 (patch)
tree9d57bd14f2d1deda678a37def6d2288753449897 /src/test/test_key_expiration.sh
parenta213a32b7cc2ca0701953953a812662c2f0533d3 (diff)
downloadtor-2c9f8badbdb75d09cac6f84da5101e6007bd4fa5.tar.gz
tor-2c9f8badbdb75d09cac6f84da5101e6007bd4fa5.zip
repair test_key_expiration.sh
Diffstat (limited to 'src/test/test_key_expiration.sh')
-rwxr-xr-xsrc/test/test_key_expiration.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index 95d7911f04..5511dbf18c 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -90,7 +90,7 @@ if [ "$CASE1" = 1 ]; then
echo "==== Case 1: Test --key-expiration without argument and ensure usage"
echo " instructions are printed."
- ${TOR} ${QUIETLY} --key-expiration 2>"$FN"
+ ${TOR} ${QUIETLY} --key-expiration 2>"$FN" || true
grep "No valid argument to --key-expiration found!" "$FN" >/dev/null || \
die "Tor didn't mention supported --key-expiration argmuents"